---
displayed_sidebar: jsClientSidebar
---

# Interface: Config

[internal](../modules/internal.md).Config

## Properties

### apiKey

• `Optional` **apiKey**: `string`

#### Defined in

[medusa-js/src/request.ts:17](https://github.com/medusajs/medusa/blob/29135c051/packages/medusa-js/src/request.ts#L17)

___

### baseUrl

• **baseUrl**: `string`

#### Defined in

[medusa-js/src/request.ts:15](https://github.com/medusajs/medusa/blob/29135c051/packages/medusa-js/src/request.ts#L15)

___

### maxRetries

• **maxRetries**: `number`

#### Defined in

[medusa-js/src/request.ts:16](https://github.com/medusajs/medusa/blob/29135c051/packages/medusa-js/src/request.ts#L16)

___

### publishableApiKey

• `Optional` **publishableApiKey**: `string`

#### Defined in

[medusa-js/src/request.ts:18](https://github.com/medusajs/medusa/blob/29135c051/packages/medusa-js/src/request.ts#L18)
